Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::SoundCache::SoundArray Class Reference

サウンド配列 More...

`#include <SoundCache.h>`

List of all members.

## Public Member Functions
| SoundArray (Sound *sound, int maxMixingCount)
| コンストラクタ
virtual | ~SoundArray ()
| デストラクタ
Sound * | getFreeSound ()
| フリーサウンド取得
virtual int | getSoundCount () const
| サウンド数の取得
virtual Sound * | getSound (int index)
| サウンドの取得
virtual String | toString () const
| 文字列への変換
## Protected Attributes
ArrayList< Sound * > | sounds_
| サウンド配列
int | maxMixingCount_
| 最大ミキシング数

## Detailed Description

サウンド配列

Definition at line 261 of file SoundCache.h.

## Constructor & Destructor Documentation

Lamp::SoundCache::SoundArray::SoundArray | ( | Sound * | sound,
|  | int | maxMixingCount
| ) |

  | コンストラクタ Parameters:
  sound | 初期化サウンド
  maxMixingCount | 最大ミキシング数
Definition at line 283 of file SoundCache.cpp. References Lamp::ArrayList< Sound * >::add(), Assert, NULL, and sounds_.

## Member Function Documentation

Sound * Lamp::SoundCache::SoundArray::getFreeSound | ( |  | ) |

| フリーサウンド取得 Returns: フリーサウンド、無ければNULLを返す Definition at line 299 of file SoundCache.cpp. References Assert, Lamp::Sound::clone(), Lamp::Sound::getCursor(), Lamp::Sound::getState(), Lamp::Sound::hasOwnership(), Lamp::ArrayList< Sound * >::isEmpty(), maxMixingCount_, NULL, sounds_, and u_int. Referenced by Lamp::SoundCache::getSound(), Lamp::SoundCache::playSound(), Lamp::SoundCache::playSound3D(), and Lamp::SoundCache::playStereoSound().

virtual Sound* Lamp::SoundCache::SoundArray::getSound | ( | int | index | ) | `[inline, virtual]`

  | サウンドの取得 Parameters:
  index | サウンドインデックス
Returns: サウンド Definition at line 292 of file SoundCache.h. References sounds_. Referenced by Lamp::SoundCache::resumeAll(), and Lamp::SoundCache::suspendAll().

virtual int Lamp::SoundCache::SoundArray::getSoundCount | ( |  | ) | const`[inline, virtual]`

| サウンド数の取得 Returns: サウンド数 Definition at line 285 of file SoundCache.h. References Lamp::ArrayList< Sound * >::getCount(), and sounds_. Referenced by Lamp::SoundCache::resumeAll(), and Lamp::SoundCache::suspendAll().

String Lamp::SoundCache::SoundArray::toString | ( |  | ) | const`[virtual]`

| 文字列への変換 Returns: 文字列 Definition at line 344 of file SoundCache.cpp. References Lamp::Sound::castSound3D(), Lamp::String::format(), Lamp::Sound3D::getMaximumDistance(), Lamp::Sound3D::getMinimumDistance(), Lamp::FilePath::getName(), Lamp::Sound::getName(), Lamp::Sound::getPriority(), Lamp::Sound::isLoop(), Lamp::Sound::isStereoSound(), maxMixingCount_, NULL, and sounds_.

The documentation for this class was generated from the following files:

- SoundCache.h
- SoundCache.cpp